Name: gnomemeeting
Version: 1.0.2
Release: alt1.2

Summary: Gnome H.323 compatible client
Summary(ru_RU.KOI8-R):   Gnome      H.323

License: GPL
Group: Networking/Chat
URL: http://www.gnomemeeting.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.gnomemeeting.org/downloads/latest/sources/%name-%version.tar.bz2
Source1: %{name}_icons.tar.bz2

%define pwlib_version 1.6.5
%define openh323_version 1.13.4

# Automatically added by buildreq on Sat May 22 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libSDL-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libldap-devel libopenh323-devel libpango-devel libpopt-devel libpw-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

BuildRequires: libopenh323-devel >= %openh323_version
BuildRequires: libpw-devel >= %pwlib_version

Requires: libxml2 >= 2.6.3

%description
GnomeMeeting is an H.323 compatible client designed for the Gnome desktop.

%description -l ru_RU.KOI8-R
GnomeMeeting       H.323,   Gnome.

%prep
%setup -q

tar xfj %SOURCE1

%build

%configure --disable-schemas-install

%make_build

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install

#icons entries
%__install -D %name-16.png $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D %name-32.png $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -D %name-48.png $RPM_BUILD_ROOT%_liconsdir/%name.png

#menu entries
%__mkdir_p $RPM_BUILD_ROOT%_menudir
cat << EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%_bindir/%name" needs="x11" \
icon="%name.png" section="%group" \
genericname="Video Conferencing" \
title="Gnomemeeting" longtitle="Gnomemeeting"
EOF

%define launchers /etc/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Gnomemeeting \$device
Comment=Gnomemeeting
TryExec=/usr/bin/gnomemeeting
Exec=/usr/bin/gnomemeeting
Terminal=false
Icon=gnomemeeting.png
Type=Application
EOF

%find_lang %name

%post
echo YES | gnomemeeting-config-tool --install-schemas
#%gconf2_install %name 
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc README ChangeLog FAQ AUTHORS INSTALL TODO
%_bindir/*
#%_datadir/gnome/apps/Internet/*
%_datadir/applications/*
%_datadir/gnome/help/%name
%_libdir/bonobo/servers/%name.server
%_datadir/pixmaps/*
%_datadir/sounds/%name
%_datadir/%name
%_mandir/man1/*
#%config(noreplace) %_sysconfdir/sound/events/*
%_menudir/%name
%_datadir/omf/%name/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%config(noreplace) %_sysconfdir/gconf/schemas/*
%config(noreplace) %launchers/%name.desktop

%changelog
* Tue Jun 15 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.2-alt1.2
- NMU: remove support for old alternatives
  (this alternatives wasn't work)

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1.1
- rebuild with correct libopenh323
- change group to Chat

* Sat May 22 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- new version
- add require to needed version of libxml2
- remove COPYING from doc

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.98.5-alt1
- new version
- build with gcc3.3

* Tue Mar 25 2003 Vitaly Lipatov <lav@altlinux.ru> 0.96.1-alt1
- new version

* Wed Dec 04 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt3
- rebuild with libpw
- remove directfb requires
- add generic name to menu
- spec cleanup

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt2
- rebuild with libspeex

* Sun Nov 24 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt1
- new version 0.94.1 
- new icons
- move to the video group 
- several new fixes/adaptions (from Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 0.94-0.1.1mdk)
- adapted for pwlib (libpwlib), openh323 (libopenh323)
- spec cleanup, summary and description are translated in russian
- Speex codec support exist but temporary disabled
- updated ru.po from Leon Kanter <leon@asplinux.ru>

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 0.93.1-alt3
- rebuilt with new directfb

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 0.93.1-alt2
- spec file cleanup

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 0.93.1-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 0.85.1-alt1
- new version

* Tue Jan 08 2002 AEN <aen@logic.ru> 0.12.2-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.11-alt1
- first build for Sisyphus

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
